vboot2: Fix broken compatiblity check for gbb header 1.1

vboot2 supports only GBB header versions 1.1+.  When the GBB header
was rev'd to 1.2, this broke the compatibility check for 1.1.
However, the test was written in such a way that wasn't detected.  Fix
the check and the test.

BUG=chromium:415227
BRANCH=none
TEST=VBOOT2=1 make runtests

Change-Id: Ifeb1f21bf5cf3cc05d31ac7912693e090eb8fd5e
Signed-off-by: Randall Spangler <rspangler@chromium.org>
Reviewed-on: https://chromium-review.googlesource.com/225110
Reviewed-by: Bill Richardson <wfrichar@chromium.org>
2 files changed